Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class ExitAdapter

    java.lang.Object
      sos.koa.Task
          sos.koa.ExitAdapter

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, KOAConstants, java.awt.event.WindowListener

public class ExitAdapter
extends Task
implements java.awt.event.WindowListener

Class to close this application. This closes the application for example when the window is closed.

Version:
  $Id: ExitAdapter.java,v 1.17 2004/05/18 12:44:54 hubbers Exp $
Author:
  Martijn Oostdijk (martijno@cs.kun.nl)

Nested Class Summary

Nested classes inherited from class sos.koa.Task
`Task.ActionThread, Task.MonitoredThread`

Field Summary

Fields inherited from class sos.koa.Task
`maxSubTasks, monitor, stillWorking, subTaskCount, success`

Fields inherited from interface sos.koa.KOAConstants
`ADDITIONAL_INFO_EXTRA, ADDITIONAL_INFO_MAX_HEIGHT, ADDITIONAL_INFO_MAX_WIDTH, AUDITLOG, AUDITLOG_PDF, AUDITLOG_XML, AUDITLOG_XSL, BASEDIR, CANDIDATES_IMPORTED_STATE, CLEAR_BUT_TXT, CLEAR_FAILURE_MSG, CLEAR_SUCCESS_MSG, CLEAR_TASK_MSG, CLEAR_WARNING_MSG, CLEAR_WARNING_MSG_1, CLEAR_WARNING_MSG_2, CLEARED_STATE, COUNT_BUT_TXT, COUNT_FAILURE_MSG, COUNT_SUCCESS_MSG, COUNT_TASK_MSG, COUNT_WARNING_MSG, DECRYPT_BUT_TXT, DECRYPT_ERROR_MSG, DECRYPT_ERROR_TAG, DECRYPT_FAILURE_MSG, DECRYPT_SUCCESS_MSG, DECRYPT_TASK_MSG, DECRYPT_WARNING_MSG, DECRYPTEDFILE, DEFAULT_VOTING_INTERVAL, EXIT_BUT_TXT, EXIT_FAILURE_MSG, EXIT_SUCCESS_MSG, EXIT_TASK_MSG, EXIT_WARNING_MSG, FORWARD_BACK_OPTIONS, FORWARD_MOREINFO_BACK_OPTIONS, HELP_BUT_TXT, HELP_TASK_MSG, IMPORT_CANDIDATES_BUT_TXT, IMPORT_CANDIDATES_FAILURE_MSG, IMPORT_CANDIDATES_SUCCESS_MSG, IMPORT_CANDIDATES_TASK_MSG, IMPORT_CANDIDATES_WARNING_MSG, IMPORT_KEY_FAILURE_MSG, IMPORT_KEY_SUCCESS_MSG, IMPORT_KEY_WARNING_MSG, IMPORT_PRIVATE_KEY_BUT_TXT, IMPORT_PRIVATE_KEY_TASK_MSG, IMPORT_PUBLIC_KEY_BUT_TXT, IMPORT_PUBLIC_KEY_TASK_MSG, IMPORT_VOTES_BUT_TXT, IMPORT_VOTES_FAILURE_MSG, IMPORT_VOTES_SUCCESS_MSG, IMPORT_VOTES_TASK_MSG, IMPORT_VOTES_WARNING_MSG, INIT_STATE, LESSINFO_OPTION, MAX_ENCRYPTED_VOTE_LENGTH, MAX_KEY_LENGTH, MOREINFO_OPTION, NO_ERRORS_MSG, NUMBER_OF_REDUNDANT_FIELDS, OK_CANCEL_OPTIONS, OK_LESSINFO_CANCEL_OPTIONS, OK_LESSINFO_OPTIONS, OK_MOREINFO_CANCEL_OPTIONS, OK_MOREINFO_OPTIONS, OK_OPTIONS, OUTDIR, PRIVATE_KEY_IMPORTED_STATE, PRIVATE_KEYTYPE, PUBLIC_KEY_IMPORTED_STATE, PUBLIC_KEYTYPE, RECOUNT, RECOUNT_PDF, RECOUNT_XML, RECOUNT_XSL, RELEASE, REPORT_BUT_TXT, REPORT_FAILURE_MSG, REPORT_GENERATED_STATE, REPORT_OPTIONS, REPORT_SUCCESS_MSG, REPORT_TASK_MSG, REPORT_WARNING_MSG, RESTART_BUT_TXT, RESTART_FAILURE_MSG, RESTART_SUCCESS_MSG, RESTART_TASK_MSG, RESTART_WARNING_MSG, TASK_CANCELED_MSG, TITLE, VOTES_COUNTED_STATE, VOTES_DECRYPTED_STATE, VOTES_IGNORED_SEE_MORE_INFO_MSG, VOTES_IMPORTED_STATE, YES_CANCEL_OPTIONS, YES_NO_OPTIONS`

Constructor Summary
`ExitAdapter()` Constructs this adapter.

Method Summary
`void` | `doAction()` Clears the temporary XML files and exits.
`(package private) void` | `exit(int status)` Exits the application with status code `status`.
`(package private) java.lang.String` | `getFailureMessage()` What to print in failure dialog.
`(package private) java.lang.String` | `getSuccessMessage()` What to print in success dialog.
`(package private) int` | `getSuccessState()` The application state after successful termination of this task.
`(package private) java.lang.String` | `getTitle()` The title of this task.
`(package private) java.lang.String` | `getWarningMessage()` What to print in warning dialog used to ask user if he/she is sure to perform this task.
`(package private) boolean` | `isDangerousTask()` Indicates whether the user should be warned that we're about to start this task.
`(package private) boolean` | `isPreStateAllowed(int state)`
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosed(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent e)` Gets called when the user closes this application's window.
`void` | `windowDeactivated(java.awt.event.WindowEvent e)` This method is here since we implement `WindowListener`.
`void` | `windowDeiconified(java.awt.event.WindowEvent e)` This method is here since we implement `WindowListener`.
`void` | `windowIconified(java.awt.event.WindowEvent e)` This method is here since we implement `WindowListener`.
`void` | `windowOpened(java.awt.event.WindowEvent e)` This method is here since we implement `WindowListener`.

Methods inherited from class sos.koa.Task
`actionPerformed, clear, getAdditionalInfo, getInfo, isAdditionalInfoAvailable, isCancelableTask, isModalTask, isProgressMonitoredTask, logCanceled, logCompleted, logFailed, logOpenedFile, logStarted, popupAdditionalInfo, popupAdditionalInfo, popupFailure, popupGetFile, popupGetPassword, popupNext, popupNextOrBack, popupSuccess, popupWarning, setMaxSubTasks, setSubTaskCount, stopAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExitAdapter

    public ExitAdapter()

  Constructs this adapter.

Method Detail

### getTitle

    java.lang.String getTitle()

  Description copied from class: `Task`
  The title of this task. Is used in title-bar of dialogs.

  Specified by:
    `getTitle` in class `Task`
  Returns:
    Title of this task.

### getSuccessMessage

    java.lang.String getSuccessMessage()

  Description copied from class: `Task`
  What to print in success dialog.

  Specified by:
    `getSuccessMessage` in class `Task`
  Returns:
    text to print in success dialog.

### getFailureMessage

    java.lang.String getFailureMessage()

  Description copied from class: `Task`
  What to print in failure dialog.

  Specified by:
    `getFailureMessage` in class `Task`
  Returns:
    text to print in failure dialog.

### getWarningMessage

    java.lang.String getWarningMessage()

  Description copied from class: `Task`
  What to print in warning dialog used to ask user if he/she is sure to perform this task.

  Overrides:
    `getWarningMessage` in class `Task`
  Returns:
    text to print in warning dialog.

### isPreStateAllowed

    boolean isPreStateAllowed(int state)

  Specified by:
    `isPreStateAllowed` in class `Task`

### getSuccessState

    int getSuccessState()

  Description copied from class: `Task`
  The application state after successful termination of this task.

  Specified by:
    `getSuccessState` in class `Task`
  Returns:
    the new state.

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

  Gets called when the user closes this application's window.

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Parameters:
    `e` - Event indicating the window is closing.

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

  This method is here since we implement `WindowListener`.

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`
  Parameters:
    `e` - a window event.

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

  This method is here since we implement `WindowListener`.

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`
  Parameters:
    `e` - a window event.

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

  This method is here since we implement `WindowListener`.

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`
  Parameters:
    `e` - a window event.

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

  This method is here since we implement `WindowListener`.

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`
  Parameters:
    `e` - a window event.

### isDangerousTask

    boolean isDangerousTask()

  Description copied from class: `Task`
  Indicates whether the user should be warned that we're about to start this task. Default is false.

  Overrides:
    `isDangerousTask` in class `Task`
  Returns:
    By default `false`.

### doAction

    public void doAction()

  Clears the temporary XML files and exits.

  Specified by:
    `doAction` in class `Task`

### exit

    void exit(int status)

  Exits the application with status code `status`.

  Parameters:
    `status` - the status code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD